Networking System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.x.x 1.0.5000.0 2.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.Object System.Net.IWebProxy System.Runtime.Serialization.ISerializable

Contains HTTP proxy settings for the class.

instances use instances to override the proxy settings in .

Local requests are identified by the lack of a period (.) in the authority of the URI, as in "http://webserver/" versus "http://www.contoso.com/ ".

The following example sets a for a . The instance uses the proxy to connect to external Internet resources.

`using System; using System.Net; public class WebProxyExample { public static void Main() { WebProxy proxyObject = new WebProxy("http://proxyserver:80/",true); WebRequest req = WebRequest.Create("http://www.contoso.com"); req.Proxy = proxyObject; } }`
- Constructor

  Constructs and initializes a new instance of the class.

  This constructor initializes the properties of the new instance as follows.

  Property
  Value

  A new empty .

  A new empty array.

  0
  1.0.5000.0
  2.0.0.0
- Constructor
  A containing the URI of the proxy server.

  Constructs and initializes a new instance of the class with the specified URI.

  This constructor initializes the properties of the new instance as follows.

  Property
  Value

  A new constructed from or, if does not contain "://", constructed from "http://". If is , this property is set to .

  A new empty .

  A new empty array.

  is not and not in a valid URI format.
  0
  1.0.5000.0
  2.0.0.0
- Constructor
  A containing the address of the proxy server.

  Constructs and initializes a new instance of the class using the specified .

  This constructor initializes the properties of the new instance as follows.

  Property
  Value

  A new empty .

  A new empty array.

  0
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added.
  To be added.
  To be added.
  To be added.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added.
  To be added.

  Constructs and initializes a new instance of the class with the specified URI and bypass setting.

  This constructor initializes the properties of the new instance as follows.

  Property
  Value

  A new constructed from or, if does not contain "://", constructed from "http://". If is , this property is set to .

  A new empty .

  A new empty array.

  is not in a valid URI format.

  0
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added.
  To be added.

  Constructs and initializes a new instance of the class with the specified host and port number.

  This constructor initializes the properties of the new instance as follows.

  Property
  Value

  A new constructed from "http://:".

  A new empty .

  A new empty array.

  The URI formed by combining and is not in a valid URI format.
  0
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added.
  To be added.

  Constructs and initializes a new instance of the class using the specified and specified bypass setting.

  The properties of the new instance are initialized as detailed in the following table.

  Property
  Value

  A new empty .

  A new empty array.

  0
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added.
  To be added.
  To be added.

  Constructs and initializes a new instance of the class with the specified URI, bypass setting, and list of URIs to bypass.

  This constructor initializes the properties of the new instance as follows.

  Property
  Value

  A new constructed from or, if does not contain "://", constructed from "http://". If is , this property is set to .

  A new constructed from or, if is , a new empty .

  or, if is , a new empty array.

  is not in a valid URI format.

  0
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added.
  To be added.
  To be added.

  Constructs a new instance of the class with the specified , bypass setting, and list of URIs to bypass.

  This constructor initializes the properties of the new instance as follows.

  Property
  Value

  A new constructed from or, if is , a new empty .

  or, if is , a new empty array.

  0
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added.
  To be added.
  To be added.
  To be added.

  Constructs and initializes a new instance of the class with the specified URI, bypass setting, list of URIs to bypass, and credentials.

  This constructor initializes the properties of the new instance as follows.

  Property
  Value

  A new constructed from or, if does not contain "://", constructed from "http://". If is , this property is set to .

  A new constructed from or, if is , a new empty .

  or, if is , a new empty array.

  is not in a valid URI format.

  0
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added.
  To be added.
  To be added.
  To be added.

  Constructs and initializes a new instance of the class with the specified , bypass setting, list of URIs to bypass, and credentials.

  This constructor initializes the properties of the new instance as follows.

  Property
  Value

  A new constructed from or, if is , a new empty .

  or, if is , a new empty array.

  0
  1.0.5000.0
  2.0.0.0
- Property
  System.Uri

  Gets or sets the address of the proxy server represented by the current instance.

  A containing the address of the proxy server represented by the current instance.

  When is , all requests that reference the current instance bypass the proxy and connect directly to the destination host.

  For additional information, see .

  0
  1.0.5000.0
  2.0.0.0
- Property
  System.Collections.ArrayList

  Gets a list of the URIs that do not use the proxy server.

  A of instances. The elements of the list represent the URIs that a instance accesses directly instead of through the proxy server.

  This property is read-only.

  0
  1.0.5000.0
  2.0.0.0
- Property
  System.String[]

  Gets or sets an array of the URIs that do not use the proxy server.

  A of instances. The elements of the array represent URIs that a instance accesses directly instead of through the proxy server.

  This property is equivalent to .(()).

  0
  1.0.5000.0
  2.0.0.0
- Property
  System.Boolean

  Gets or sets a value indicating whether requests for local resources bypass the proxy server.

  to bypass the proxy server for local resources; otherwise, . The default value is .

  The setting of this property determines whether instances use the proxy server when accessing local resources. If is , requests to local resources do not use the proxy server. Local resources are identified by the lack of a period (.) in the URI, as in "http://webserver/". When is , all requests for resources are made through the proxy server.

  If a request for a resource residing on a local machine is made using a URI that contains a period, the proxy is used to send the request. Create an entity in the to access local resources directly.

  0
  1.0.5000.0
  2.0.0.0
- Property
  System.Net.ICredentials

  Gets or sets the credentials to submit to the proxy server for authentication.

  A object containing the credentials to submit to the proxy server for authentication.

  This property contains the authentication credentials to send to the proxy server in response to an HTTP 407 (proxy authorization) status code.

  For more information regarding HTTP status code 407, see .

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Net.WebProxy

  Returns a new instance that contains the default proxy settings of the system.

  A new instance that contains the default proxy settings of the system.

  The default proxy settings of the system are implementation-defined.

  0
  1.0.5000.0
  2.0.0.0
  System.Obsolete("This method has been deprecated", false)
- Method
  2.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  System.Uri `` The of the requested resource.

  Returns the URI of the server that is contacted for the specified resource.

  If is on the bypass list of the current instance, returns ; otherwise, returns the of the current instance.

  This method returns the URI that the uses to access the resource. compares with the contents of using the method.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean `` A containing the URI of the server to check.

  Indicates whether a request will bypass the proxy server when accessing the resource represented by the specified URI.

  Returns under any of the following conditions:

  The property of the current instance is and is a local URI.
  matches a regular expression in .

  The of the current instance is .

  All other conditions return .

  To be added. The of the current instance contains an invalid regular expression. 0 1.0.5000.0 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Property
  2.0.0.0
  System.Boolean To be added. To be added. To be added.
0